#!/usr/bin/perl
#
# Just print out a fixed-point number

use POSIX;
use strict;

sub make_fixed {
	my $num = shift;
	my $whole = POSIX::floor($num);
	my $fract = ($num - $whole) * 65536;

	return (int($whole) << 16) + int($fract);
}

printf("0x%08X\n", make_fixed($ARGV[0]));
